import { toRaw } from "vue";
import { EditorModule } from "..";
import { ICompKeys } from "../typings";

export const editActions = EditorModule.action({
  // 添加组件到画布
  addCompToDesign(compKey: ICompKeys) {
    const designComp = this.store.insertDesignContent(compKey);
    this.actions.pickCurrComp(designComp.id);
  },
  // 切换当前组件
  pickCurrComp(compId: string) {
    this.store.setCurrComp(compId);
  },
  // 删除组件
  removeComp(compId: string) {
    if (compId === this.store.currCompId) {
      this.store.currCompId = "";
    }
    this.store.deleteComp(compId);
  },
  // 移动组件
  moveComp(selIndex: number, targetIndex: number) {
    if (selIndex === targetIndex) return;
    this.store.moveComp(selIndex, targetIndex);
  },
  // 保存项目
  saveDesign() {
    this.https.saveDesign(this.store.designData);
  },
});
