import { Dict_Imgs } from "@/dict";
import { watch } from "vue";
import { string } from "vue-types";
import { useCompData } from ".";
import { Image, Text } from "../../..";
import { useEditor } from "../../../../..";
import { createUIComp } from "../../../defines/createUIComp";

export const Component = createUIComp({
  props: {
    compId: string().isRequired,
  },
  setup(props) {
    const { helper } = useEditor();
    const { value } = useCompData(props.compId);

    watch(
      () => [value.total],
      () => {
        const { total, list } = value;
        const offset = total - list.length;
        if (offset > 0) {
          Array.from({ length: offset }, () => {
            list.push({ img: Dict_Imgs.Default, desc: "描述" });
          });
        } else {
          list.splice(total, offset * -1);
        }
      }
    );

    return () => (
      <div
        class="grid"
        style={{
          gridTemplateColumns: `repeat(${value.columns}, 1fr)`,
          gridGap: helper.designToNaturalSize(value.gap),
        }}
      >
        {value.list.map((d, i) => (
          <div key={i}>
            <Image.Component
              style={{ height: helper.designToNaturalSize(value.imgHeight) }}
              v-model={[d.img, "value"]}
            />
            {value.showDesc && <Text.Component v-model={[d.desc, "value"]} />}
          </div>
        ))}
      </div>
    );
  },
});
