import { Dict_Imgs } from "@/dict";
import { createAttrsForm } from "../../../defines/createAttrsForm";
import { createOptions } from "../../../defines/createOptions";
import { InputNumber } from "ant-design-vue";

export { Component } from "./component";

export const { options, useCompData } = createOptions({
  name: "卡片列表",
  value: {
    gap: 10,
    columns: 3,
    total: 3,
    imgHeight: 120,
    showDesc: false,
    list: Array.from({ length: 3 }, () => ({
      img: Dict_Imgs.Default,
      desc: "描述",
    })),
  },
});

export const Form = createAttrsForm([
  {
    label: "卡片总数",
    dataIndex: "value.total",
    component: InputNumber,
  },
  {
    label: "每行数量",
    dataIndex: "value.columns",
    component: InputNumber,
  },
  {
    label: "卡片间距",
    dataIndex: "value.gap",
    component: InputNumber,
  },
  {
    label: "图片高度",
    dataIndex: "value.imgHeight",
    component: InputNumber,
  },
  {
    label: "显示描述",
    dataIndex: "value.showDesc",
    component: "Switch",
  },
]);
