import { useEditor } from "@/modules/editor";
import { Background, Layout } from "../../../typings";
import { DesignComp } from "@/modules/editor/defines/DesignTemp/DesignComp";

type IOptions<T, C> = {
  name: string;
  value: T;
  layout?: Layout;
  background?: Background;
  children?: C;
};

export function createOptions<T, C>(options: IOptions<T, C>) {
  function useCompData(compId: string): {
    value: T;
    children: Record<keyof C, DesignComp>;
  } {
    const editor = useEditor();
    return editor.store.designCompMap.get(compId) as any;
  }
  return { options, useCompData };
}
