import { useEditor } from "@/modules/editor";
import { ICompKeys } from "@/modules/editor/typings";
import { Radio } from "ant-design-vue";
import { defineUI } from "queenjs";

export default defineUI({
  setup() {
    const editor = useEditor();

    return () => (
      <div>
        <div class="p-16px border-bottom !border-2px">资源中心</div>
        <div class="m-16px">
          <Radio.Group>
            <Radio.Button>模板</Radio.Button>
            <Radio.Button>组件</Radio.Button>
          </Radio.Group>
          <div class="py-16px space-y-10px">
            {Object.entries(editor.config.compUI).map(([compKey, uiOpt], i) => {
              return (
                <div
                  class="text-center leading-50px h-50px bg-dark-50 rounded"
                  key={i}
                  onClick={() =>
                    editor.actions.addCompToDesign(compKey as ICompKeys)
                  }
                >
                  {uiOpt.options.name}
                </div>
              );
            })}
          </div>
        </div>
      </div>
    );
  },
});
