import { queenApi } from "queenjs";
import { ResourceModule } from "..";

export const materialActions = ResourceModule.action({
  async uploadMaterial() {
    const [blob] = await queenApi.selectFile({ accept: "image/*, video/*" });

    // const url = URL.createObjectURL(blob);
    // const data = { url, size: blob.size };
    // await this.controls.uploader.uploadBlobs(data, {
    //   createPathKey: this.helpers.createFileName,
    // });

    const data = await this.controls.uploader.uploadFile(blob, "queenshow");

    const souceObj = {
      file: data,
      fileType: blob.type.split("/")[0],
      from: "upload",
    };
    await this.https.createResource(souceObj);
    // this.store.setSourceType(souceObj.fileType);

    // this.controls.materialListCtrl.state.query = {
    //   fileType: this.store.type,
    // };
    // this.controls.materialListCtrl.loadPage(1);

    return souceObj;
  },

  async deleteMaterial(record) {
    const res = await queenApi.showConfirm({
      content: `删除后不可恢复，是否要删除此素材？`,
      type: "danger",
    });
    if (!res) return;
    await this.https.deleteResource(record._id);
    this.controls.materialListCtrl.fresh();
  },

  downloadMaterial(record) {
    window.open(record.file.url);
  },

  async selectMaterial(record) {
    const url = `${location.origin}/index.html#/create/${record._id}`;
    location.href = url;
  },

  async queryTplsDetail(id) {
    const res = await this.https.queryTplsDetail(id);
    this.store.setSourceDetail(res.result);
    this.store.setSelectedId(res.result.webEditor?.meshSlots[0]?.Id);
  },
  async submitRender(id: string, images: any, vidoes: any) {
    queenApi.showLoading("任务提交中");

    console.log("iamges=>", images, "videos->", vidoes);

    try {
      await this.https.sourceGen({
        genRequest: {
          templateId: id,
          vidoes: vidoes,
          images: images,
          matSlots: this.store.matSlots,
        },
      });
      queenApi.messageSuccess("任务提交成功");
      return true;
    } catch (error) {
      console.error(error);
    } finally {
      queenApi.hideLoading();
    }
  },
});
