import { ResourceModule } from ".";

export const store = ResourceModule.store({
  state: () => ({
    type: "video",
    selectedId: "",
    sourceDetail: {
      webEditor: { pack: {} },
    } as any,
    matSlots: [] as any[],
  }),
  
  getters: {
    currentMesh(state) {
      return state.sourceDetail.webEditor?.meshSlots?.find(
        (e: any) => e.Id == state.selectedId
      );
    },
    currentMats(state) {
      return state.sourceDetail.webEditor?.matSlots?.filter(
        (e: any) => e.meshSlotId == state.selectedId
      );
    },
  },
  actions: {
    setSourceType(v: string) {
      this.store.type = v;
    },
    setSourceDetail(data) {
      this.store.sourceDetail = data;
    },
    setSelectedId(id: string) {
      this.store.selectedId = id;
    },
  },
});
