import { initEditor } from "@/modules/editor";
import { SelectOneImage } from "@/pages/website/Material2/modal";
import { queenApi } from "queenjs";
import { defineComponent } from "vue";

export default defineComponent(() => {
  const editor = initEditor();

  const params = new URLSearchParams(location.hash.split("?")[1]);
  editor.actions.initDesign(params.get("id") || "");

  editor.controls.pickCtrl.onPickImage = async (maxCount:number)=>{
     if ( maxCount <= 1 ) {
       const url = await SelectOneImage();

       
       return [url as string];
     }
     return []
  }

  return () => <editor.components.Viewport class="!h-100vh" />;
});
