import { createRouter, createWebHashHistory, RouteRecordRaw } from "vue-router";

const routes: Array<RouteRecordRaw> = [
  {
    path: "/",
    name: "editPage",
    meta: {
      needAuth: true,
    },
    component: () => import("./EditPage"),
  },
  {
    path: "/login",
    name: "login",
    component: () => import("@queenjs-modules/auth/components/Login"),
  },
  {
    path: "/forget",
    name: "forget",
    component: () => import("@queenjs-modules/auth/components/Forget"),
  },
  {
    path: "/register",
    name: "register",
    component: () => import("@queenjs-modules/auth/components/Register"),
  },
];

const router = createRouter({
  history: createWebHashHistory(),
  routes,
});

export default router;
