import { Image } from "@queenjs/ui";
import { defineUI } from "queenjs";
import { object } from "vue-types";

export default defineUI({
  props: {
    data: object<{
      url: string;
      fileType: "image" | "video";
    }>().isRequired,
  },
  setup(props) {
    return () => {
      const { data } = props;
      return (
        <div class="text-center min-h-200px">
          {data.fileType == "image" && (
            <Image size={720} src={data.url} class="max-w-1/1" />
          )}
          {data.fileType == "video" && (
            <video controls src={data.url} class="max-w-1/1" />
          )}
        </div>
      );
    };
  },
});
